libctf: fix double-free on ctf_compress_write error path
[deliverable/binutils-gdb.git] / libctf / Makefile.in
CommitLineData
0e65dfba
NA
1# Makefile.in generated by automake 1.15.1 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2017 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17#
18# Copyright (C) 2019 Free Software Foundation, Inc.
19#
20# This file is free software; you can redistribute it and/or modify
21# it under the terms of the GNU General Public License as published by
22# the Free Software Foundation; either version 2 of the License, or
23# (at your option) any later version.
24#
25# This program is distributed in the hope that it will be useful,
26# but WITHOUT ANY WARRANTY; without even the implied warranty of
27# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
28# GNU General Public License for more details.
29#
30# You should have received a copy of the GNU General Public License
31# along with this program; see the file COPYING. If not see
32# <http://www.gnu.org/licenses/>.
33#
34
35VPATH = @srcdir@
36am__is_gnu_make = { \
37 if test -z '$(MAKELEVEL)'; then \
38 false; \
39 elif test -n '$(MAKE_HOST)'; then \
40 true; \
41 elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
42 true; \
43 else \
44 false; \
45 fi; \
46}
47am__make_running_with_option = \
48 case $${target_option-} in \
49 ?) ;; \
50 *) echo "am__make_running_with_option: internal error: invalid" \
51 "target option '$${target_option-}' specified" >&2; \
52 exit 1;; \
53 esac; \
54 has_opt=no; \
55 sane_makeflags=$$MAKEFLAGS; \
56 if $(am__is_gnu_make); then \
57 sane_makeflags=$$MFLAGS; \
58 else \
59 case $$MAKEFLAGS in \
60 *\\[\ \ ]*) \
61 bs=\\; \
62 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
63 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
64 esac; \
65 fi; \
66 skip_next=no; \
67 strip_trailopt () \
68 { \
69 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
70 }; \
71 for flg in $$sane_makeflags; do \
72 test $$skip_next = yes && { skip_next=no; continue; }; \
73 case $$flg in \
74 *=*|--*) continue;; \
75 -*I) strip_trailopt 'I'; skip_next=yes;; \
76 -*I?*) strip_trailopt 'I';; \
77 -*O) strip_trailopt 'O'; skip_next=yes;; \
78 -*O?*) strip_trailopt 'O';; \
79 -*l) strip_trailopt 'l'; skip_next=yes;; \
80 -*l?*) strip_trailopt 'l';; \
81 -[dEDm]) skip_next=yes;; \
82 -[JT]) skip_next=yes;; \
83 esac; \
84 case $$flg in \
85 *$$target_option*) has_opt=yes; break;; \
86 esac; \
87 done; \
88 test $$has_opt = yes
89am__make_dryrun = (target_option=n; $(am__make_running_with_option))
90am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
91pkgdatadir = $(datadir)/@PACKAGE@
92pkgincludedir = $(includedir)/@PACKAGE@
93pkglibdir = $(libdir)/@PACKAGE@
94pkglibexecdir = $(libexecdir)/@PACKAGE@
95am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
96install_sh_DATA = $(install_sh) -c -m 644
97install_sh_PROGRAM = $(install_sh) -c
98install_sh_SCRIPT = $(install_sh) -c
99INSTALL_HEADER = $(INSTALL_DATA)
100transform = $(program_transform_name)
101NORMAL_INSTALL = :
102PRE_INSTALL = :
103POST_INSTALL = :
104NORMAL_UNINSTALL = :
105PRE_UNINSTALL = :
106POST_UNINSTALL = :
6b22174f 107@NEED_CTF_QSORT_R_TRUE@am__append_1 = ctf-qsort_r.c
0e65dfba
NA
108subdir = .
109ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
110am__aclocal_m4_deps = $(top_srcdir)/../config/depstand.m4 \
111 $(top_srcdir)/../config/lead-dot.m4 \
112 $(top_srcdir)/../config/override.m4 \
a0486bac
JM
113 $(top_srcdir)/../config/warnings.m4 \
114 $(top_srcdir)/../config/zlib.m4 $(top_srcdir)/configure.ac
0e65dfba
NA
115am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
116 $(ACLOCAL_M4)
117DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
118 $(am__configure_deps) $(am__DIST_COMMON)
119am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
120 configure.lineno config.status.lineno
121mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs
122CONFIG_HEADER = config.h
123CONFIG_CLEAN_FILES =
124CONFIG_CLEAN_VPATH_FILES =
125LIBRARIES = $(noinst_LIBRARIES)
126ARFLAGS = cru
127AM_V_AR = $(am__v_AR_@AM_V@)
128am__v_AR_ = $(am__v_AR_@AM_DEFAULT_V@)
129am__v_AR_0 = @echo " AR " $@;
130am__v_AR_1 =
131libctf_a_AR = $(AR) $(ARFLAGS)
6b22174f
NA
132libctf_a_LIBADD =
133am__libctf_a_SOURCES_DIST = ctf-archive.c ctf-dump.c ctf-create.c \
134 ctf-decl.c ctf-error.c ctf-hash.c ctf-labels.c ctf-lookup.c \
f5e9c9bd
NA
135 ctf-open.c ctf-open-bfd.c ctf-string.c ctf-subr.c ctf-types.c \
136 ctf-util.c ctf-qsort_r.c
6b22174f 137@NEED_CTF_QSORT_R_TRUE@am__objects_1 = ctf-qsort_r.$(OBJEXT)
0e65dfba
NA
138am_libctf_a_OBJECTS = ctf-archive.$(OBJEXT) ctf-dump.$(OBJEXT) \
139 ctf-create.$(OBJEXT) ctf-decl.$(OBJEXT) ctf-error.$(OBJEXT) \
140 ctf-hash.$(OBJEXT) ctf-labels.$(OBJEXT) ctf-lookup.$(OBJEXT) \
f5e9c9bd
NA
141 ctf-open.$(OBJEXT) ctf-open-bfd.$(OBJEXT) ctf-string.$(OBJEXT) \
142 ctf-subr.$(OBJEXT) ctf-types.$(OBJEXT) ctf-util.$(OBJEXT) \
143 $(am__objects_1)
0e65dfba
NA
144libctf_a_OBJECTS = $(am_libctf_a_OBJECTS)
145AM_V_P = $(am__v_P_@AM_V@)
146am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
147am__v_P_0 = false
148am__v_P_1 = :
149AM_V_GEN = $(am__v_GEN_@AM_V@)
150am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
151am__v_GEN_0 = @echo " GEN " $@;
152am__v_GEN_1 =
153AM_V_at = $(am__v_at_@AM_V@)
154am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
155am__v_at_0 = @
156am__v_at_1 =
157DEFAULT_INCLUDES = -I.@am__isrc@
158depcomp = $(SHELL) $(top_srcdir)/../depcomp
159am__depfiles_maybe = depfiles
160am__mv = mv -f
161COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
162 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
163AM_V_CC = $(am__v_CC_@AM_V@)
164am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
165am__v_CC_0 = @echo " CC " $@;
166am__v_CC_1 =
167CCLD = $(CC)
168LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
169AM_V_CCLD = $(am__v_CCLD_@AM_V@)
170am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
171am__v_CCLD_0 = @echo " CCLD " $@;
172am__v_CCLD_1 =
173SOURCES = $(libctf_a_SOURCES)
6b22174f 174DIST_SOURCES = $(am__libctf_a_SOURCES_DIST)
0e65dfba
NA
175am__can_run_installinfo = \
176 case $$AM_UPDATE_INFO_DIR in \
177 n|no|NO) false;; \
178 *) (install-info --version) >/dev/null 2>&1;; \
179 esac
180am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
181 $(LISP)config.h.in
182# Read a list of newline-separated strings from the standard input,
183# and print each of them once, without duplicates. Input order is
184# *not* preserved.
185am__uniquify_input = $(AWK) '\
186 BEGIN { nonempty = 0; } \
187 { items[$$0] = 1; nonempty = 1; } \
188 END { if (nonempty) { for (i in items) print i; }; } \
189'
190# Make sure the list of sources is unique. This is necessary because,
191# e.g., the same source file might be shared among _SOURCES variables
192# for different programs/libraries.
193am__define_uniq_tagged_files = \
194 list='$(am__tagged_files)'; \
195 unique=`for i in $$list; do \
196 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
197 done | $(am__uniquify_input)`
198ETAGS = etags
199CTAGS = ctags
200CSCOPE = cscope
201AM_RECURSIVE_TARGETS = cscope
202am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/config.h.in \
203 $(top_srcdir)/../ar-lib $(top_srcdir)/../compile \
204 $(top_srcdir)/../depcomp $(top_srcdir)/../install-sh \
a0486bac 205 $(top_srcdir)/../missing $(top_srcdir)/../mkinstalldirs \
6b22174f 206 ChangeLog
0e65dfba
NA
207DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
208distdir = $(PACKAGE)-$(VERSION)
209top_distdir = $(distdir)
210am__remove_distdir = \
211 if test -d "$(distdir)"; then \
212 find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
213 && rm -rf "$(distdir)" \
214 || { sleep 5 && rm -rf "$(distdir)"; }; \
215 else :; fi
216am__post_remove_distdir = $(am__remove_distdir)
217DIST_ARCHIVES = $(distdir).tar.gz
218GZIP_ENV = --best
219DIST_TARGETS = dist-gzip
220distuninstallcheck_listfiles = find . -type f -print
221am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
222 | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
223distcleancheck_listfiles = find . -type f -print
224ACLOCAL = @ACLOCAL@
225AMTAR = @AMTAR@
226AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
227AR = @AR@
228AUTOCONF = @AUTOCONF@
229AUTOHEADER = @AUTOHEADER@
230AUTOMAKE = @AUTOMAKE@
231AWK = @AWK@
232CC = @CC@
233CCDEPMODE = @CCDEPMODE@
234CFLAGS = @CFLAGS@
235CPP = @CPP@
236CPPFLAGS = @CPPFLAGS@
237CYGPATH_W = @CYGPATH_W@
238DEFS = @DEFS@
239DEPDIR = @DEPDIR@
240ECHO_C = @ECHO_C@
241ECHO_N = @ECHO_N@
242ECHO_T = @ECHO_T@
243EGREP = @EGREP@
244EXEEXT = @EXEEXT@
245GREP = @GREP@
246INSTALL = @INSTALL@
247INSTALL_DATA = @INSTALL_DATA@
248INSTALL_PROGRAM = @INSTALL_PROGRAM@
249INSTALL_SCRIPT = @INSTALL_SCRIPT@
250INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
251LDFLAGS = @LDFLAGS@
252LIBOBJS = @LIBOBJS@
253LIBS = @LIBS@
254LTLIBOBJS = @LTLIBOBJS@
255MAINT = @MAINT@
256MAKEINFO = @MAKEINFO@
257MKDIR_P = @MKDIR_P@
258OBJEXT = @OBJEXT@
259PACKAGE = @PACKAGE@
260PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
261PACKAGE_NAME = @PACKAGE_NAME@
262PACKAGE_STRING = @PACKAGE_STRING@
263PACKAGE_TARNAME = @PACKAGE_TARNAME@
264PACKAGE_URL = @PACKAGE_URL@
265PACKAGE_VERSION = @PACKAGE_VERSION@
266PATH_SEPARATOR = @PATH_SEPARATOR@
267RANLIB = @RANLIB@
268SET_MAKE = @SET_MAKE@
269SHELL = @SHELL@
270STRIP = @STRIP@
271VERSION = @VERSION@
272WARN_PEDANTIC = @WARN_PEDANTIC@
273WERROR = @WERROR@
274abs_builddir = @abs_builddir@
275abs_srcdir = @abs_srcdir@
276abs_top_builddir = @abs_top_builddir@
277abs_top_srcdir = @abs_top_srcdir@
278ac_ct_AR = @ac_ct_AR@
279ac_ct_CC = @ac_ct_CC@
280ac_libctf_warn_cflags = @ac_libctf_warn_cflags@
281am__include = @am__include@
282am__leading_dot = @am__leading_dot@
283am__quote = @am__quote@
284am__tar = @am__tar@
285am__untar = @am__untar@
286bindir = @bindir@
287build_alias = @build_alias@
288builddir = @builddir@
289c_warn = @c_warn@
290datadir = @datadir@
291datarootdir = @datarootdir@
292docdir = @docdir@
293dvidir = @dvidir@
294exec_prefix = @exec_prefix@
295host_alias = @host_alias@
296htmldir = @htmldir@
297includedir = @includedir@
298infodir = @infodir@
299install_sh = @install_sh@
300libdir = @libdir@
301libexecdir = @libexecdir@
302localedir = @localedir@
303localstatedir = @localstatedir@
304mandir = @mandir@
305mkdir_p = @mkdir_p@
306oldincludedir = @oldincludedir@
307pdfdir = @pdfdir@
308prefix = @prefix@
309program_transform_name = @program_transform_name@
310psdir = @psdir@
311sbindir = @sbindir@
312sharedstatedir = @sharedstatedir@
313srcdir = @srcdir@
314sysconfdir = @sysconfdir@
315target_alias = @target_alias@
316top_build_prefix = @top_build_prefix@
317top_builddir = @top_builddir@
318top_srcdir = @top_srcdir@
319warn = @warn@
a0486bac
JM
320zlibdir = @zlibdir@
321zlibinc = @zlibinc@
0e65dfba
NA
322ACLOCAL_AMFLAGS = -I .. -I ../config
323AUTOMAKE_OPTIONS = foreign no-texinfo.tex
a0486bac
JM
324
325# This is where we get zlib from. zlibdir is -L../zlib and zlibinc is
326# -I../zlib, unless we were configured with --with-system-zlib, in which
327# case both are empty.
328ZLIB = @zlibdir@ -lz
329ZLIBINC = @zlibinc@
0e65dfba 330AM_CPPFLAGS = -D_GNU_SOURCE -I$(top_srcdir) -I$(top_srcdir)/../include -I$(top_srcdir)/../bfd -I../bfd
a0486bac 331AM_CFLAGS = -std=gnu99 @ac_libctf_warn_cflags@ @warn@ @c_warn@ @WARN_PEDANTIC@ @WERROR@ $(ZLIBINC)
0e65dfba 332noinst_LIBRARIES = libctf.a
6b22174f
NA
333libctf_a_SOURCES = ctf-archive.c ctf-dump.c ctf-create.c ctf-decl.c \
334 ctf-error.c ctf-hash.c ctf-labels.c ctf-lookup.c ctf-open.c \
f5e9c9bd 335 ctf-open-bfd.c ctf-string.c ctf-subr.c ctf-types.c ctf-util.c \
6b22174f 336 $(am__append_1)
0e65dfba
NA
337all: config.h
338 $(MAKE) $(AM_MAKEFLAGS) all-am
339
340.SUFFIXES:
341.SUFFIXES: .c .o .obj
342am--refresh: Makefile
343 @:
344$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(am__configure_deps)
345 @for dep in $?; do \
346 case '$(am__configure_deps)' in \
347 *$$dep*) \
348 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
349 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
350 && exit 0; \
351 exit 1;; \
352 esac; \
353 done; \
354 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
355 $(am__cd) $(top_srcdir) && \
356 $(AUTOMAKE) --foreign Makefile
357Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
358 @case '$?' in \
359 *config.status*) \
360 echo ' $(SHELL) ./config.status'; \
361 $(SHELL) ./config.status;; \
362 *) \
363 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
364 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
365 esac;
366
367$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
368 $(SHELL) ./config.status --recheck
369
370$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
371 $(am__cd) $(srcdir) && $(AUTOCONF)
372$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
373 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
374$(am__aclocal_m4_deps):
375
376config.h: stamp-h1
377 @test -f $@ || rm -f stamp-h1
378 @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
379
380stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
381 @rm -f stamp-h1
382 cd $(top_builddir) && $(SHELL) ./config.status config.h
383$(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
384 ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
385 rm -f stamp-h1
386 touch $@
387
388distclean-hdr:
389 -rm -f config.h stamp-h1
390
391clean-noinstLIBRARIES:
392 -test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
393
394libctf.a: $(libctf_a_OBJECTS) $(libctf_a_DEPENDENCIES) $(EXTRA_libctf_a_DEPENDENCIES)
395 $(AM_V_at)-rm -f libctf.a
396 $(AM_V_AR)$(libctf_a_AR) libctf.a $(libctf_a_OBJECTS) $(libctf_a_LIBADD)
397 $(AM_V_at)$(RANLIB) libctf.a
398
399mostlyclean-compile:
400 -rm -f *.$(OBJEXT)
401
402distclean-compile:
403 -rm -f *.tab.c
404
405@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-archive.Po@am__quote@
406@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-create.Po@am__quote@
407@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-decl.Po@am__quote@
408@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-dump.Po@am__quote@
409@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-error.Po@am__quote@
410@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-hash.Po@am__quote@
411@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-labels.Po@am__quote@
412@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-lookup.Po@am__quote@
413@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-open-bfd.Po@am__quote@
414@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-open.Po@am__quote@
6b22174f 415@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-qsort_r.Po@am__quote@
f5e9c9bd 416@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-string.Po@am__quote@
0e65dfba
NA
417@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-subr.Po@am__quote@
418@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-types.Po@am__quote@
419@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-util.Po@am__quote@
420
421.c.o:
422@am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
423@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
424@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
425@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
426@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
427
428.c.obj:
429@am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
430@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
431@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
432@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
433@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
434
435ID: $(am__tagged_files)
436 $(am__define_uniq_tagged_files); mkid -fID $$unique
437tags: tags-am
438TAGS: tags
439
440tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
441 set x; \
442 here=`pwd`; \
443 $(am__define_uniq_tagged_files); \
444 shift; \
445 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
446 test -n "$$unique" || unique=$$empty_fix; \
447 if test $$# -gt 0; then \
448 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
449 "$$@" $$unique; \
450 else \
451 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
452 $$unique; \
453 fi; \
454 fi
455ctags: ctags-am
456
457CTAGS: ctags
458ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
459 $(am__define_uniq_tagged_files); \
460 test -z "$(CTAGS_ARGS)$$unique" \
461 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
462 $$unique
463
464GTAGS:
465 here=`$(am__cd) $(top_builddir) && pwd` \
466 && $(am__cd) $(top_srcdir) \
467 && gtags -i $(GTAGS_ARGS) "$$here"
468cscope: cscope.files
469 test ! -s cscope.files \
470 || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
471clean-cscope:
472 -rm -f cscope.files
473cscope.files: clean-cscope cscopelist
474cscopelist: cscopelist-am
475
476cscopelist-am: $(am__tagged_files)
477 list='$(am__tagged_files)'; \
478 case "$(srcdir)" in \
479 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
480 *) sdir=$(subdir)/$(srcdir) ;; \
481 esac; \
482 for i in $$list; do \
483 if test -f "$$i"; then \
484 echo "$(subdir)/$$i"; \
485 else \
486 echo "$$sdir/$$i"; \
487 fi; \
488 done >> $(top_builddir)/cscope.files
489
490distclean-tags:
491 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
492 -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
493
494distdir: $(DISTFILES)
495 $(am__remove_distdir)
496 test -d "$(distdir)" || mkdir "$(distdir)"
497 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
498 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
499 list='$(DISTFILES)'; \
500 dist_files=`for file in $$list; do echo $$file; done | \
501 sed -e "s|^$$srcdirstrip/||;t" \
502 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
503 case $$dist_files in \
504 */*) $(MKDIR_P) `echo "$$dist_files" | \
505 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
506 sort -u` ;; \
507 esac; \
508 for file in $$dist_files; do \
509 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
510 if test -d $$d/$$file; then \
511 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
512 if test -d "$(distdir)/$$file"; then \
513 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
514 fi; \
515 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
516 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
517 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
518 fi; \
519 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
520 else \
521 test -f "$(distdir)/$$file" \
522 || cp -p $$d/$$file "$(distdir)/$$file" \
523 || exit 1; \
524 fi; \
525 done
526 -test -n "$(am__skip_mode_fix)" \
527 || find "$(distdir)" -type d ! -perm -755 \
528 -exec chmod u+rwx,go+rx {} \; -o \
529 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
530 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
531 ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
532 || chmod -R a+r "$(distdir)"
533dist-gzip: distdir
534 tardir=$(distdir) && $(am__tar) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).tar.gz
535 $(am__post_remove_distdir)
536
537dist-bzip2: distdir
538 tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
539 $(am__post_remove_distdir)
540
541dist-lzip: distdir
542 tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
543 $(am__post_remove_distdir)
544
545dist-xz: distdir
546 tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
547 $(am__post_remove_distdir)
548
549dist-tarZ: distdir
550 @echo WARNING: "Support for distribution archives compressed with" \
551 "legacy program 'compress' is deprecated." >&2
552 @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
553 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
554 $(am__post_remove_distdir)
555
556dist-shar: distdir
557 @echo WARNING: "Support for shar distribution archives is" \
558 "deprecated." >&2
559 @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
560 shar $(distdir) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).shar.gz
561 $(am__post_remove_distdir)
562
563dist-zip: distdir
564 -rm -f $(distdir).zip
565 zip -rq $(distdir).zip $(distdir)
566 $(am__post_remove_distdir)
567
568dist dist-all:
569 $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
570 $(am__post_remove_distdir)
571
572# This target untars the dist file and tries a VPATH configuration. Then
573# it guarantees that the distribution is self-contained by making another
574# tarfile.
575distcheck: dist
576 case '$(DIST_ARCHIVES)' in \
577 *.tar.gz*) \
578 eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).tar.gz | $(am__untar) ;;\
579 *.tar.bz2*) \
580 bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
581 *.tar.lz*) \
582 lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
583 *.tar.xz*) \
584 xz -dc $(distdir).tar.xz | $(am__untar) ;;\
585 *.tar.Z*) \
586 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
587 *.shar.gz*) \
588 eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).shar.gz | unshar ;;\
589 *.zip*) \
590 unzip $(distdir).zip ;;\
591 esac
592 chmod -R a-w $(distdir)
593 chmod u+w $(distdir)
594 mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
595 chmod a-w $(distdir)
596 test -d $(distdir)/_build || exit 0; \
597 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
598 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
599 && am__cwd=`pwd` \
600 && $(am__cd) $(distdir)/_build/sub \
601 && ../../configure \
602 $(AM_DISTCHECK_CONFIGURE_FLAGS) \
603 $(DISTCHECK_CONFIGURE_FLAGS) \
604 --srcdir=../.. --prefix="$$dc_install_base" \
605 && $(MAKE) $(AM_MAKEFLAGS) \
606 && $(MAKE) $(AM_MAKEFLAGS) dvi \
607 && $(MAKE) $(AM_MAKEFLAGS) check \
608 && $(MAKE) $(AM_MAKEFLAGS) install \
609 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
610 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
611 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
612 distuninstallcheck \
613 && chmod -R a-w "$$dc_install_base" \
614 && ({ \
615 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
616 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
617 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
618 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
619 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
620 } || { rm -rf "$$dc_destdir"; exit 1; }) \
621 && rm -rf "$$dc_destdir" \
622 && $(MAKE) $(AM_MAKEFLAGS) dist \
623 && rm -rf $(DIST_ARCHIVES) \
624 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
625 && cd "$$am__cwd" \
626 || exit 1
627 $(am__post_remove_distdir)
628 @(echo "$(distdir) archives ready for distribution: "; \
629 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
630 sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
631distuninstallcheck:
632 @test -n '$(distuninstallcheck_dir)' || { \
633 echo 'ERROR: trying to run $@ with an empty' \
634 '$$(distuninstallcheck_dir)' >&2; \
635 exit 1; \
636 }; \
637 $(am__cd) '$(distuninstallcheck_dir)' || { \
638 echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
639 exit 1; \
640 }; \
641 test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
642 || { echo "ERROR: files left after uninstall:" ; \
643 if test -n "$(DESTDIR)"; then \
644 echo " (check DESTDIR support)"; \
645 fi ; \
646 $(distuninstallcheck_listfiles) ; \
647 exit 1; } >&2
648distcleancheck: distclean
649 @if test '$(srcdir)' = . ; then \
650 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
651 exit 1 ; \
652 fi
653 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
654 || { echo "ERROR: files left in build directory after distclean:" ; \
655 $(distcleancheck_listfiles) ; \
656 exit 1; } >&2
657check-am: all-am
658check: check-am
659all-am: Makefile $(LIBRARIES) config.h
660installdirs:
661install: install-am
662install-exec: install-exec-am
663install-data: install-data-am
664uninstall: uninstall-am
665
666install-am: all-am
667 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
668
669installcheck: installcheck-am
670install-strip:
671 if test -z '$(STRIP)'; then \
672 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
673 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
674 install; \
675 else \
676 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
677 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
678 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
679 fi
680mostlyclean-generic:
681
682clean-generic:
683
684distclean-generic:
685 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
686 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
687
688maintainer-clean-generic:
689 @echo "This command is intended for maintainers to use"
690 @echo "it deletes files that may require special tools to rebuild."
691clean: clean-am
692
693clean-am: clean-generic clean-noinstLIBRARIES mostlyclean-am
694
695distclean: distclean-am
696 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
6b22174f 697 -rm -rf ./$(DEPDIR)
0e65dfba
NA
698 -rm -f Makefile
699distclean-am: clean-am distclean-compile distclean-generic \
700 distclean-hdr distclean-tags
701
702dvi: dvi-am
703
704dvi-am:
705
706html: html-am
707
708html-am:
709
710info: info-am
711
712info-am:
713
714install-data-am:
715
716install-dvi: install-dvi-am
717
718install-dvi-am:
719
720install-exec-am:
721
722install-html: install-html-am
723
724install-html-am:
725
726install-info: install-info-am
727
728install-info-am:
729
730install-man:
731
732install-pdf: install-pdf-am
733
734install-pdf-am:
735
736install-ps: install-ps-am
737
738install-ps-am:
739
740installcheck-am:
741
742maintainer-clean: maintainer-clean-am
743 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
744 -rm -rf $(top_srcdir)/autom4te.cache
6b22174f 745 -rm -rf ./$(DEPDIR)
0e65dfba
NA
746 -rm -f Makefile
747maintainer-clean-am: distclean-am maintainer-clean-generic
748
749mostlyclean: mostlyclean-am
750
751mostlyclean-am: mostlyclean-compile mostlyclean-generic
752
753pdf: pdf-am
754
755pdf-am:
756
757ps: ps-am
758
759ps-am:
760
761uninstall-am:
762
763.MAKE: all install-am install-strip
764
765.PHONY: CTAGS GTAGS TAGS all all-am am--refresh check check-am clean \
766 clean-cscope clean-generic clean-noinstLIBRARIES cscope \
767 cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
768 dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
769 distcheck distclean distclean-compile distclean-generic \
770 distclean-hdr distclean-tags distcleancheck distdir \
771 distuninstallcheck dvi dvi-am html html-am info info-am \
772 install install-am install-data install-data-am install-dvi \
773 install-dvi-am install-exec install-exec-am install-html \
774 install-html-am install-info install-info-am install-man \
775 install-pdf install-pdf-am install-ps install-ps-am \
776 install-strip installcheck installcheck-am installdirs \
777 maintainer-clean maintainer-clean-generic mostlyclean \
778 mostlyclean-compile mostlyclean-generic pdf pdf-am ps ps-am \
779 tags tags-am uninstall uninstall-am
780
781.PRECIOUS: Makefile
782
783
784# Tell versions [3.59,3.63) of GNU make to not export all variables.
785# Otherwise a system limit (for SysV at least) may be exceeded.
786.NOEXPORT:
This page took 0.0863 seconds and 4 git commands to generate.